Subject: Re: bug#55427: emacs-libgit tests are broken

From: Kyle Meyer <[email-masked]>
Date: Wed, 18 May 2022 18:44:50 -0400

Maxime Devos writes:

> Maybe this can be fixed by patching "magit-git-executable" in Guix
> with an absolute path -- that procedure is only used on the local host,
> so that shouldn't cause any problems with TRAMP.  Will send a mail to
> 30434.

Right, using an absolute path for magit-git-executable is _now_ fine.
Magit started using separate executables for the local and remote
operations in 1423c54d (magit-remote-git-executable: New option,
2021-07-20), part of the 3.2.0 release.  bug#30434 was active back in
2018.